/**
 * Classe MaFenetre
 * Vers une fenetre plus elaboree...
 * 
 * @author Paul
 * @version IUT 03 GEII
 */

import javax.swing.*;
import java.awt.*;   
import java.awt.event.*;     
    
public class MaFenetre 
    extends JFrame 
    implements 
	ObservateurDeCompteur, 
	ActionListener
{
    private JButton bPlus;
    private JButton bMoins;
    private JButton bRaZ;
    private JLabel  etiq;
    private JPanel  jPBoutons;
    
    private JRadioButton jRBPetit;
    private JRadioButton jRBGrand;    
    private JPanel       jPRadioBoutons;
    
    public MaFenetre(int val, MonEcouteur ref)
    {
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setBounds(10, 20, 400, 300);
        setTitle("Fenetre principale");
        getContentPane().setLayout(new BorderLayout(10, 10));
        
        this.bPlus = new JButton("Plus");
        this.bPlus.setActionCommand("Plus");
        this.bPlus.setBackground(Color.white);

        this.bMoins = new JButton("Moins");
        this.bMoins.setActionCommand("Moins"); 
        this.bMoins.setBackground(Color.white);        

        this.bRaZ = new JButton("Reset");
        this.bRaZ.setActionCommand("Reset");
        this.bRaZ.setBackground(Color.white);        

        this.etiq = new JLabel(Integer.toString(val), SwingConstants.CENTER);
        this.etiq.setFont(Util.police[0]);
        this.etiq.setForeground(Color.white);
        
        this.bPlus.addActionListener(ref);
        this.bMoins.addActionListener(ref);
        this.bRaZ.addActionListener(ref);
        
        this.jPBoutons = new JPanel(new GridLayout(3, 1, 10, 10));
        this.jPBoutons.add(this.bPlus);
        this.jPBoutons.add(this.bMoins);
        this.jPBoutons.add(this.bRaZ);               
        getContentPane().add(this.jPBoutons, BorderLayout.WEST);
        getContentPane().add(this.etiq, BorderLayout.CENTER);   
        
        this.jRBPetit = new JRadioButton("Petit", true);
        this.jRBGrand = new JRadioButton("Grand", false); 

        ButtonGroup groupeDeBoutons = new ButtonGroup();
        groupeDeBoutons.add(this.jRBPetit);
        groupeDeBoutons.add(this.jRBGrand);
        
        this.jRBPetit.addActionListener(this);
        this.jRBGrand.addActionListener(this);   
        
        this.jPRadioBoutons = new JPanel();
        this.jPRadioBoutons.setBorder(BorderFactory.createLoweredBevelBorder());
        this.jPRadioBoutons.add(this.jRBPetit);
        this.jPRadioBoutons.add(this.jRBGrand);
        getContentPane().add(this.jPRadioBoutons, BorderLayout.SOUTH);       
    }
    
    public void nouvelleValeur(int val)
    {
        this.etiq.setText(Integer.toString(val));
    }   
    
    public void actionPerformed(ActionEvent e) 
    {
	if (e.getSource() == this.jRBPetit) 
	    this.etiq.setFont(Util.police[0]);
        else if (e.getSource() == this.jRBGrand) 
	    this.etiq.setFont(Util.police[2]);
    }  
    
}
